Get SCIM User
curl --request GET \
--url https://api.attention.tech/v2/scim/Users/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.attention.tech/v2/scim/Users/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.attention.tech/v2/scim/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d0dd58e43ded4293a61a8760fcba0458",
"externalId": "00ustvXq1A8UAuobW0f5",
"meta": {
"created": "04-17-2020 00:00:00",
"lastModified": "04-17-2020 00:00:00",
"version": "v1.0"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User",
"urn:scim:schemas:extension:okta:1.0"
],
"userName": "steph.c@example.com",
"displayName": " Steph Curry",
"preferredLanguage": "en",
"locale": "en-US",
"timezone": "America/Los_Angeles",
"active": true,
"emails": [
{
"value": "steph.c@example.com",
"type": "work",
"primary": true
}
],
"phoneNumbers": [
{
"value": "123-444-5555",
"type": "mobile"
}
],
"groups": [],
"name": {
"familyName": "Curry",
"givenName": "Steph"
},
"urn:okta:onprem_app:1.0:user:custom": {
"roleUUID": "84e67f54-5157-442b-a2b3-8b9c728b2fef"
}
}{
"code": 401,
"message": "unauthenticated for Invalid API key"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"detail": "The details of the error",
"status": 409
}Scim
Get SCIM User
Retrieves a single user by ID. Used by SCIM clients like Okta.
GET
/
scim
/
Users
/
{id}
Get SCIM User
Authorizations
Path Parameters
SCIM user ID
Response
SCIM user returned successfully
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I